<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
  <meta name="generator" content="Hugo 0.101.0">
  <title>My account info </title>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

  <link rel="canonical" href="https://getbootstrap.com/docs/4.6/examples/sign-in/">



  <!-- Bootstrap core CSS -->
  <link href="../assets/dist/css/bootstrap.min.css" rel="stylesheet">



  <style>
    .bd-placeholder-img {
      font-size: 1.125rem;
      text-anchor: middle;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
    }

    @media (min-width: 768px) {
      .bd-placeholder-img-lg {
        font-size: 3.5rem;
      }
    }
  </style>


  <!-- Custom styles for this template -->
  <link href="../css/info.css" rel="stylesheet">
</head>

<body class="">

  <form class="form-signin border border-black-50 ">
    <h1  id="the-h1" class=" text-center h3 mb-4 font-weight-normal font-weight-bold  mt-5 ">My account info</h1>
    <hr>
    <!-- class="sr-only" áp dụng cho trình đọc màn hình .. dành cho người mù  -->
    <label for="inputEmail" class="sr-only">User Name</label>
    <input type="text" id="inp-user-name" class="form-control mb-3" placeholder="User Name" required autofocus>

    <label for="inputPassword" class="sr-only">password</label>
    <input type="text" id="inputPassword" class="form-control mb-3" placeholder="password" required>

    <div class="row">
      <div class="col-sm-4">
        <button id="btn-log-out" class="btn btn-lg btn-primary btn-block mb-5" type="submit">Log out</button>

      </div>
    </div>
  </form>



</body>

<script>

  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */


  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  $(document).ready(function () {
    const token = getCookie("token");
    console.log(token);

    //Gọi API để lấy thông tin người dùng

    //Khai báo xác thực ở headers
    var headers = {
      Authorization: "Bearer " + token
    };

    var urlInfo = "http://localhost:8080/users/me";

    $.ajax({
      url: urlInfo,
      method: "GET",
      headers: headers,
      success: function (responseObject) {
        console.log(responseObject);
        displayUser(responseObject);
      },
      error: function (xhr) {
        console.log(xhr);
        // Khi token hết hạn, AJAX sẽ trả về lỗi khi đó sẽ redirect về trang login để người dùng đăng nhập lại
        redirectToLogin()
      }
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../index.html";
    }

    //Hiển thị thông tin người dùng
    function displayUser(data) {
      console.log(data);
      $("#inp-user-name").val(data.username);
      $("#inputPassword").val(data.password);
    };

    //Hàm get Cookie đã giới thiệu ở bài trước
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }
  })




</script>

</html>